GNU logs - #54265, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#54265: Valid function names cannot be accessed from speedbar.
Resent-From: angelomolina@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 05 Mar 2022 17:27:02 +0000
Resent-Message-ID: <handler.54265.B.16465011874738 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 54265
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 54265 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16465011874738
          (code B ref -1); Sat, 05 Mar 2022 17:27:02 +0000
Received: (at submit) by debbugs.gnu.org; 5 Mar 2022 17:26:27 +0000
Received: from localhost ([127.0.0.1]:48965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQYAk-0001EL-RQ
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 12:26:27 -0500
Received: from lists.gnu.org ([209.51.188.17]:58212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelomolina@HIDDEN>) id 1nQWor-0007WP-6E
 for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 10:59:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44308)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <angelomolina@HIDDEN>)
 id 1nQWoq-00075q-U3
 for bug-gnu-emacs@HIDDEN; Sat, 05 Mar 2022 10:59:44 -0500
Received: from w1.tutanota.de ([81.3.6.162]:47956)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <angelomolina@HIDDEN>)
 id 1nQWop-00040v-1v
 for bug-gnu-emacs@HIDDEN; Sat, 05 Mar 2022 10:59:44 -0500
Received: from w3.tutanota.de (unknown [192.168.1.164])
 by w1.tutanota.de (Postfix) with ESMTP id 7DD5BFA0717
 for <bug-gnu-emacs@HIDDEN>; Sat,  5 Mar 2022 15:59:41 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1646495981; 
 s=s1; d=tutanota.com;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Cc:Date:Date:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:Sender;
 bh=JIdMBhcSSrkcfo4TD2Tl1F4llwNunXDoEQTKLQs+9lQ=;
 b=Is198nILxIFQzksbJP9uJdCutLG5kWpHNk+Nk4Kk4IuHjL9eyruXIuI1k6QIrTiX
 uQpEmxgksIACjTN8K+iyqPNyaeoElMlzVBqabSUkokuYihjylXQmSpq11kJaJag0pJZ
 01laQQ6Yx/vidqw5bg/xswhzTmOtbdV51Q/wQtPU1RVf5exOPb1zUFs5U5dLZJFl30t
 ZOOyQ6/aZ2Ezp9GBNrwA1exYfdtFVVri0izQig6IO0GJQLnEM5kVIcqwLsEEcOFOHVP
 U5jMT751zkDOXEh7cumNniiTk9G7nVr1hvJqWoFleofNNY+BJisiHmWwRVNH67E10lC
 D7QR1oPbrQ==
Date: Sat, 5 Mar 2022 16:59:41 +0100 (CET)
From: angelomolina@HIDDEN
Message-ID: <MxPnhld--3-2@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_305176_1003524010.1646495981496"
Received-SPF: pass client-ip=81.3.6.162;
 envelope-from=angelomolina@HIDDEN; helo=w1.tutanota.de
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Mailman-Approved-At: Sat, 05 Mar 2022 12:26:25 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

------=_Part_305176_1003524010.1646495981496
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable


I am using completely valid function names but cannot access them using the=
 speedbar.=C2=A0 I am in sh-mode.

------=_Part_305176_1003524010.1646495981496
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  </head>
  <body>
<div><br></div><div>I am using completely valid function names but cannot access them using the speedbar.&nbsp; I am in sh-mode.<br></div>  </body>
</html>

------=_Part_305176_1003524010.1646495981496--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: angelomolina@HIDDEN
Subject: bug#54265: Acknowledgement (Valid function names cannot be
 accessed from speedbar.)
Message-ID: <handler.54265.B.16465011874738.ack <at> debbugs.gnu.org>
References: <MxPnhld--3-2@HIDDEN>
X-Gnu-PR-Message: ack 54265
X-Gnu-PR-Package: emacs
Reply-To: 54265 <at> debbugs.gnu.org
Date: Sat, 05 Mar 2022 17:27:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 54265 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
54265: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D54265
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#54265: Valid function names cannot be accessed from speedbar.
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 05 Mar 2022 17:31:01 +0000
Resent-Message-ID: <handler.54265.B54265.16465014505321 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 54265
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: angelomolina@HIDDEN
Cc: 54265 <at> debbugs.gnu.org
Received: via spool by 54265-submit <at> debbugs.gnu.org id=B54265.16465014505321
          (code B ref 54265); Sat, 05 Mar 2022 17:31:01 +0000
Received: (at 54265) by debbugs.gnu.org; 5 Mar 2022 17:30:50 +0000
Received: from localhost ([127.0.0.1]:48982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQYEv-0001Nf-R6
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 12:30:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1nQYEu-0001NO-E2
 for 54265 <at> debbugs.gnu.org; Sat, 05 Mar 2022 12:30:44 -0500
Received: from [2001:470:142:3::e] (port=33942 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1nQYEk-0002Iw-Ty; Sat, 05 Mar 2022 12:30:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=BukrBWHEdsj/jezPgWfSgsZatEnZH4e2e0Tx3oLbMZs=; b=Sck2NZJrY8oJwsuwN0HX
 jiJUaFeO7E0nc0+a0ZyWUnTIccoWNQeZdSMR3MFQyicFFP0JPpFCspxpbbZXx7CHDpijPMcFJOuJv
 ji9Wu2/qCjyVS0jCfAlprxYdbb3zk3dHMMpn3vGmuK5q1V7A1hH6Nt3FWCjom/Q61cwu45E4DUhr+
 Vs+ZcvO9NRp6LZ+jHUVshutfJjS3qCTjzdTSkoNjJoauPtWaJYIIFQohys7ByrJJECp+z7wAbNPQQ
 wKsUmPr900Ub/sV4o10JcXU7lrxQuwLWr7jmwN/grd2d6cdGRqBzp10OXvw3G8p+t9R/BHFndU1AX
 ZapvAPfk/X4Ebg==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1nQYEh-0000VK-6y; Sat, 05 Mar 2022 12:30:31 -0500
From: Glenn Morris <rgm@HIDDEN>
References: <MxPnhld--3-2@HIDDEN>
X-Spook: Screening Gorizont MSCJ Forte enigma Axis of Evil counter
X-Ran: UY_|K)Hf@N%7hU<8{<$o`<U0Sc%gn-I/JSWllG?:q_I1(kHj"iVttAxZZScH7W"uiKeP'o
X-Hue: brightblack
X-Attribution: GM
Date: Sat, 05 Mar 2022 12:30:30 -0500
In-Reply-To: <MxPnhld--3-2@HIDDEN> (angelomolina@HIDDEN's message
 of "Sat, 5 Mar 2022 16:59:41 +0100 (CET)")
Message-ID: <6fo82kpart.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


You've given zero details, so I'm free to guess this is a duplicate
of https://debbugs.gnu.org/52928 and others.





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#54265: Valid function names cannot be accessed from speedbar.
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 05 Mar 2022 17:32:02 +0000
Resent-Message-ID: <handler.54265.B54265.16465014815400 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 54265
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: angelomolina@HIDDEN
Cc: 54265 <at> debbugs.gnu.org
Received: via spool by 54265-submit <at> debbugs.gnu.org id=B54265.16465014815400
          (code B ref 54265); Sat, 05 Mar 2022 17:32:02 +0000
Received: (at 54265) by debbugs.gnu.org; 5 Mar 2022 17:31:21 +0000
Received: from localhost ([127.0.0.1]:48988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQYFV-0001P2-Cn
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 12:31:21 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nQYFT-0001Oo-U2
 for 54265 <at> debbugs.gnu.org; Sat, 05 Mar 2022 12:31:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Cm+AgbFnw4MbG25DBi+Ancij7Ag2Dn1JtHkeSMAzPhw=; b=c3/iCYwa2Y8LjO19uNYlbe2Tvo
 Z1Z+YztNS0yXtAY+5RIwYGBnkyYcxePFOr6kxg5wdbDhmQy5WUnny3KNoIV06J2GgMeUzLkIbgXND
 WkKTuOt7Ec2kN2BbHKxuxrNJBPmw5wxJyOkjgZZzVRbIif/zM3vFxFs4MQSuvBdAaEvk=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nQYFL-0003Oa-5u; Sat, 05 Mar 2022 18:31:13 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <MxPnhld--3-2@HIDDEN>
X-Now-Playing: Peter Gabriel's _Peter Gabriel 2_: "Exposure"
Date: Sat, 05 Mar 2022 18:31:10 +0100
In-Reply-To: <MxPnhld--3-2@HIDDEN> (angelomolina@HIDDEN's message
 of "Sat, 5 Mar 2022 16:59:41 +0100 (CET)")
Message-ID: <877d98cnmp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  angelomolina@HIDDEN writes: > I am using completely
 valid function names but cannot access them using the > speedbar. I am in
 sh-mode. Do you have a recipe to reproduce the problem, starting from "emacs
 -Q"? Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

angelomolina@HIDDEN writes:

> I am using completely valid function names but cannot access them using the
> speedbar.  I am in sh-mode.

Do you have a recipe to reproduce the problem, starting from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 5 Mar 2022 17:31:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 05 12:31:34 2022
Received: from localhost ([127.0.0.1]:48991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQYFi-0001PT-K3
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 12:31:34 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nQYFh-0001PH-5c
 for control <at> debbugs.gnu.org; Sat, 05 Mar 2022 12:31:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=gVgn/AjI1E2mIhs1jzh2VMQ3eNb7AA5MKpiNlTdYJMs=; b=tw7cN9wr2OtN0dwVKNAL1dLo9O
 zZtYcYMR5gqBJSCs74tS2hmjp8lI4FGlMZSD3eXhntocCEyZy8g7TF2TV7blY+do76bQgS35vuPWc
 nPAxzx+OZuTLEjWAFgTIc1oANldGZl5045mmsGwEbH29VGQbG6WOeSKILATeLxEJZ14c=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1nQYFZ-0003Ol-Jm
 for control <at> debbugs.gnu.org; Sat, 05 Mar 2022 18:31:27 +0100
Date: Sat, 05 Mar 2022 18:31:25 +0100
Message-Id: <875yoscnma.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #54265
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 54265 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 54265 + moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#54265: Valid function names cannot be accessed from speedbar.
Resent-From: angelomolina@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 05 Mar 2022 18:05:02 +0000
Resent-Message-ID: <handler.54265.B54265.164650348517047 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 54265
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 54265 <at> debbugs.gnu.org
Received: via spool by 54265-submit <at> debbugs.gnu.org id=B54265.164650348517047
          (code B ref 54265); Sat, 05 Mar 2022 18:05:02 +0000
Received: (at 54265) by debbugs.gnu.org; 5 Mar 2022 18:04:45 +0000
Received: from localhost ([127.0.0.1]:49025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQYlp-0004Qt-FJ
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 13:04:45 -0500
Received: from w1.tutanota.de ([81.3.6.162]:39178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <angelomolina@HIDDEN>) id 1nQYbI-00049T-Kl
 for 54265 <at> debbugs.gnu.org; Sat, 05 Mar 2022 12:53:53 -0500
Received: from w3.tutanota.de (unknown [192.168.1.164])
 by w1.tutanota.de (Postfix) with ESMTP id CAAC4FBF698;
 Sat,  5 Mar 2022 17:53:46 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1646502826; 
 s=s1; d=tutanota.com;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=WI47PM788L/oFYJFRfcgM2fbj2EUkywUFTvs+4XLWWk=;
 b=YzUYThcAvKFw8YEca+l8pJZgQM/VpvoEcABcgQRI1QzhPxRXNl92ST3DrngWKAoY
 F378+Zv2qj8EpkCH8PduAShB4TjIMcWkVMVcPcA/MXLAfp+/+BfSZm1Y5ItjN5VAKc2
 3eA5KeLDPkDpAZYIYXYfHsn2r0WrOF8CMm7ekrXtS7rdB2zLmhEODg1N4uHI+t/6BRg
 Opmvzxr/hFMcxbcDOu5/AXndYf+rhwk29QIkHGt3/qt9v7CArYKWaSnzA2IqV0F8UK2
 Vu+XaF0Z8QhL9kCpiTCkKneRtb9vJiB/fGwURemcYGLRgFyYb+E2jqTLCTqadeCR4vs
 VdzXJF5Gbw==
Date: Sat, 5 Mar 2022 18:53:46 +0100 (CET)
From: angelomolina@HIDDEN
Message-ID: <MxQCp1Z--3-2@HIDDEN>
In-Reply-To: <877d98cnmp.fsf@HIDDEN>
References: <MxPnhld--3-2@HIDDEN> <877d98cnmp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_308687_755505553.1646502826813"
X-Spam-Score: -0.0 (/)
X-Mailman-Approved-At: Sat, 05 Mar 2022 13:04:44 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_308687_755505553.1646502826813
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

Consider this perfectly valid function, which cannot be accessed from speedbar.#!/bin/bashfunction me-test(){        echo 'test'}me-test

I am using GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 2.24.32)
of 2021-09-28.



Mar 5, 2022, 17:31 by larsi@HIDDEN:

> angelomolina@HIDDEN writes:
>
>> I am using completely valid function names but cannot access them using the
>> speedbar.  I am in sh-mode.
>>
>
> Do you have a recipe to reproduce the problem, starting from "emacs -Q"?
>
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>  bloggy blog: http://lars.ingebrigtsen.no
>


------=_Part_308687_755505553.1646502826813
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  </head>
  <body>
<pre class=""><code class=""><span class="">Consider this perfectly valid function, which cannot be accessed from speedbar.

#!/bin/bash</span>

<span class="">function</span> me-<span class=""><span class="">test</span></span>()
{
        <span class="">echo</span> <span class="">'test'</span>
}

me-test</code><br></pre><div><br></div><div dir="auto">I am using GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 2.24.32)<br></div><div dir="auto">of 2021-09-28.<br></div><div><br></div><div><br></div><div><br></div><div>Mar 5, 2022, 17:31 by larsi@HIDDEN:<br></div><blockquote class="tutanota_quote" style="border-left: 1px solid #93A3B8; padding-left: 10px; margin-left: 5px;"><div>angelomolina@HIDDEN writes:<br></div><blockquote><div>I am using completely valid function names but cannot access them using the<br></div><div>speedbar.  I am in sh-mode.<br></div></blockquote><div><br></div><div>Do you have a recipe to reproduce the problem, starting from "emacs -Q"?<br></div><div><br></div><div>-- <br></div><div>(domestic pets only, the antidote for overdose, milk.)<br></div><div> bloggy blog: http://lars.ingebrigtsen.no<br></div></blockquote><div dir="auto"><br></div>  </body>
</html>

------=_Part_308687_755505553.1646502826813--




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 5 Mar 2022 18:05:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 05 13:05:43 2022
Received: from localhost ([127.0.0.1]:49029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQYmk-0004Sg-Tz
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 13:05:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1nQYmj-0004SV-Mf
 for control <at> debbugs.gnu.org; Sat, 05 Mar 2022 13:05:41 -0500
Received: from [2001:470:142:3::e] (port=34376 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1nQYme-0002WX-FN
 for control <at> debbugs.gnu.org; Sat, 05 Mar 2022 13:05:36 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>) id 1nQYme-0004cY-4A
 for control <at> debbugs.gnu.org; Sat, 05 Mar 2022 13:05:36 -0500
Subject: control message for bug 54265
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 3.4)
Message-Id: <E1nQYme-0004cY-4A@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Sat, 05 Mar 2022 13:05:36 -0500
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tag 54265 - moreinfo




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 5 Mar 2022 18:06:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 05 13:06:28 2022
Received: from localhost ([127.0.0.1]:49033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQYnU-0004UU-4c
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2022 13:06:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1nQYnG-0004U4-TO
 for control <at> debbugs.gnu.org; Sat, 05 Mar 2022 13:06:26 -0500
Received: from [2001:470:142:3::e] (port=34380 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1nQYnB-0002df-Oi
 for control <at> debbugs.gnu.org; Sat, 05 Mar 2022 13:06:09 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>) id 1nQYnB-0004kv-IH
 for control <at> debbugs.gnu.org; Sat, 05 Mar 2022 13:06:09 -0500
Subject: control message for bug 54265
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 3.4)
Message-Id: <E1nQYnB-0004kv-IH@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Sat, 05 Mar 2022 13:06:09 -0500
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

forcemerge 52928 54265




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 16 Jun 2022 00:44:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 15 20:44:49 2022
Received: from localhost ([127.0.0.1]:40150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1dcv-0000pd-24
	for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 20:44:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1o1dcp-0000pL-DQ
 for control <at> debbugs.gnu.org; Wed, 15 Jun 2022 20:44:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49760)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1o1dck-0000WQ-0h
 for control <at> debbugs.gnu.org; Wed, 15 Jun 2022 20:44:38 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>) id 1o1dcj-0007Hu-O1
 for control <at> debbugs.gnu.org; Wed, 15 Jun 2022 20:44:37 -0400
Subject: control message for bug 56003
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 3.4)
Message-Id: <E1o1dcj-0007Hu-O1@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Wed, 15 Jun 2022 20:44:37 -0400
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

forcemerge 52928 56003





Last modified: Thu, 16 Jun 2022 01:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.